Bug 110381 - Failed to updateMST allocation table forpipe idx:0
Summary: Failed to updateMST allocation table forpipe idx:0
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-10 13:44 UTC by Paul Menzel
Modified: 2019-11-09 13:14 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Linux 5.1-rc4 messages (dmesg) (82.87 KB, text/plain)
2019-04-10 13:44 UTC, Paul Menzel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Menzel 2019-04-10 13:44:14 UTC
Created attachment 143918 [details]
Linux 5.1-rc4 messages (dmesg)

Using Linux 5.1-rc4, turning off the MST monitor Dell UP3214Q, and back on the next day, nothing was shown, and Linux logged the messages below.

```
[…]
[108910.142836] [drm] DM_MST: stopping TM on aconnector: 00000000989f4d41 [id: 59]
[108910.142888] [drm] DM_MST: Disabling connector: 0000000082f81687 [id: 70] [master: 00000000989f4d41]
[108910.142922] [drm] DM_MST: Disabling connector: 00000000129f9b45 [id: 84] [master: 00000000989f4d41]
[108973.867216] usb 1-10: USB disconnect, device number 24
[174644.517901] [drm] DM_MST: starting TM on aconnector: 00000000989f4d41 [id: 59]
[174644.541360] [drm] DM_MST: added connector: 000000004c0a3cc0 [id: 89] [master: 00000000989f4d41]
[174644.595463] [drm] SADs count is: -2, don't need to read it
[174644.935425] [drm] DM_MST: added connector: 00000000a88f0665 [id: 112] [master: 00000000989f4d41]
[174645.191251] [drm] Failed to updateMST allocation table forpipe idx:0
[174645.201033] [drm] SADs count is: -2, don't need to read it
[174645.695078] WARNING: CPU: 2 PID: 404 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2354 update_mst_stream_alloc_table+0x144/0x150 [amdgpu]
[174645.695079] Modules linked in: dm_mod nls_iso8859_1 nls_cp437 vfat fat fuse rpcsec_gss_krb5 nfsv4 nfs 8021q garp stp mrp llc snd_hda_codec_realtek snd_hda_codec_generic i915 amdgpu input_leds led_class chash gpu_sched ttm iosf_mbi x86_pkg_temp_thermal drm_kms_helper kvm_intel drm snd_hda_codec_hdmi kvm snd_hda_intel snd_hda_codec intel_gtt fb_sys_fops wmi_bmof irqbypass snd_hda_core syscopyarea sysfillrect snd_pcm snd_timer sysimgblt snd crc32c_intel video soundcore wmi nfsd auth_rpcgss oid_registry nfs_acl lockd grace sunrpc efivarfs ip_tables x_tables unix ipv6 autofs4
[174645.695091] CPU: 2 PID: 404 Comm: Xorg Kdump: loaded Tainted: G        W         5.1.0-rc4.mx64.256 #1
[174645.695091] Hardware name: Dell Inc. Precision 3630 Tower/0NNNCT, BIOS 1.0.4 07/17/2018
[174645.695101] RIP: 0010:update_mst_stream_alloc_table+0x144/0x150 [amdgpu]
[174645.695102] Code: 63 d0 48 83 c2 13 48 c1 e2 04 4d 8b 4c 10 08 4d 8b 54 10 10 4d 89 0c 24 4d 89 54 24 08 39 c1 75 81 e9 67 ff ff ff 31 c0 eb f3 <0f> 0b e9 14 ff ff ff e8 90 45 95 e0 0f 1f 44 00 00 41 55 41 54 49
[174645.695103] RSP: 0018:ffffc900051df6b0 EFLAGS: 00010202
[174645.695103] RAX: 0000000000000002 RBX: ffff88833fc945c0 RCX: 0000000000000000
[174645.695103] RDX: ffffc900051df784 RSI: ffff88844c43b440 RDI: ffffc900051df710
[174645.695104] RBP: ffffc900051df750 R08: ffff888469f16e00 R09: ffff8883bf1a1000
[174645.695104] R10: ffffc900051df768 R11: ffffc900051df6b0 R12: ffff888469f16e00
[174645.695104] R13: ffff88833fc94000 R14: 0000000000000002 R15: ffff888452b6e000
[174645.695105] FS:  00007f9af42199c0(0000) GS:ffff88846c080000(0000) knlGS:0000000000000000
[174645.695105] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[174645.695106] CR2: 00007f9ae44bf000 CR3: 00000002ed2c4001 CR4: 00000000003606e0
[174645.695106] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[174645.695107] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[174645.695107] Call Trace:
[174645.695111]  ? mutex_lock+0xe/0x30
[174645.695121]  ? core_link_enable_stream+0x47a/0x1090 [amdgpu]
[174645.695130]  core_link_enable_stream+0x47a/0x1090 [amdgpu]
[174645.695142]  dce110_apply_ctx_to_hw+0x3f1/0x480 [amdgpu]
[174645.695154]  ? dce110_apply_ctx_for_surface+0x250/0x2b0 [amdgpu]
[174645.695164]  dc_commit_state+0x2d6/0x560 [amdgpu]
[174645.695169]  ? drm_calc_timestamping_constants+0xe5/0x150 [drm]
[174645.695187]  amdgpu_dm_atomic_commit_tail+0x388/0x1960 [amdgpu]
[174645.695204]  ? bw_calcs+0x6f8/0x1cd0 [amdgpu]
[174645.695217]  ? dce112_validate_bandwidth+0x3e/0x70 [amdgpu]
[174645.695226]  ? dc_validate_global_state+0x2d4/0x360 [amdgpu]
[174645.695236]  ? amdgpu_bo_pin_restricted+0x68/0x290 [amdgpu]
[174645.695237]  ? _cond_resched+0x15/0x40
[174645.695238]  ? wait_for_common+0x3d/0x180
[174645.695239]  ? _cond_resched+0x15/0x40
[174645.695240]  ? wait_for_common+0x3d/0x180
[174645.695257]  ? dm_plane_helper_prepare_fb+0x117/0x370 [amdgpu]
[174645.695260]  ? commit_tail+0x3d/0x70 [drm_kms_helper]
[174645.695262]  commit_tail+0x3d/0x70 [drm_kms_helper]
[174645.695264]  drm_atomic_helper_commit+0xfc/0x110 [drm_kms_helper]
[174645.695266]  drm_atomic_helper_set_config+0x80/0x90 [drm_kms_helper]
[174645.695271]  drm_mode_setcrtc+0x170/0x6c0 [drm]
[174645.695275]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[174645.695279]  drm_ioctl_kernel+0x88/0xf0 [drm]
[174645.695281]  ? try_to_wake_up+0x214/0x4d0
[174645.695283]  drm_ioctl+0x2f8/0x3b0 [drm]
[174645.695287]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[174645.695295]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[174645.695297]  do_vfs_ioctl+0xa4/0x630
[174645.695298]  ksys_ioctl+0x3a/0x70
[174645.695299]  __x64_sys_ioctl+0x16/0x20
[174645.695300]  do_syscall_64+0x48/0x100
[174645.695301]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[174645.695303] RIP: 0033:0x7f9af1d92647
[174645.695303] Code: 00 00 00 48 8b 05 41 58 2c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 11 58 2c 00 f7 d8 64 89 01 48
[174645.695304] RSP: 002b:00007ffdbd6659a8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[174645.695305] RAX: ffffffffffffffda RBX: 00007ffdbd6659e0 RCX: 00007f9af1d92647
[174645.695305] RDX: 00007ffdbd6659e0 RSI: 00000000c06864a2 RDI: 000000000000000b
[174645.695305] RBP: 00007ffdbd6659e0 R08: 0000000000000000 R09: 000000000156a8e0
[174645.695306] R10: 00007ffdbd665aa0 R11: 0000000000000246 R12: 00000000c06864a2
[174645.695306] R13: 000000000000000b R14: 0000000000000000 R15: 000000000156a8e0
[174645.695307] ---[ end trace 61acd18b4e2a5a43 ]---
```

Please find the full log attached.
Comment 1 Paul Menzel 2019-04-29 08:36:41 UTC
This still happens with Linux 5.1-rc6.

```
[Fri Apr 26 16:02:16 2019] [drm] DM_MST: stopping TM on aconnector: 00000000c53c37c4 [id: 59]
[Fri Apr 26 16:02:16 2019] [drm] DM_MST: Disabling connector: 00000000d00286a1 [id: 70] [master: 00000000c53c37c4]
[Fri Apr 26 16:02:16 2019] [drm] DM_MST: Disabling connector: 00000000e78a9cad [id: 75] [master: 00000000c53c37c4]
[Fri Apr 26 16:02:19 2019] usb 1-10: USB disconnect, device number 9
[Mon Apr 29 10:16:33 2019] [drm] DM_MST: starting TM on aconnector: 00000000c53c37c4 [id: 59]
[Mon Apr 29 10:16:33 2019] [drm] DM_MST: added connector: 00000000f322b7c6 [id: 83] [master: 00000000c53c37c4]
[Mon Apr 29 10:16:33 2019] [drm] SADs count is: -2, don't need to read it
[Mon Apr 29 10:16:33 2019] [drm] DM_MST: added connector: 00000000d75129fc [id: 103] [master: 00000000c53c37c4]
[Mon Apr 29 10:16:34 2019] [drm] Failed to updateMST allocation table forpipe idx:0
[Mon Apr 29 10:16:34 2019] [drm] SADs count is: -2, don't need to read it
[Mon Apr 29 10:16:34 2019] [drm] Failed to updateMST allocation table forpipe idx:0
[Mon Apr 29 10:16:34 2019] [drm] Failed to updateMST allocation table forpipe idx:0
[Mon Apr 29 10:16:34 2019] WARNING: CPU: 3 PID: 466 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2354 update_mst_stream_alloc_table+0x144/0x150 [amdgpu]
[Mon Apr 29 10:16:34 2019] Modules linked in: fuse rpcsec_gss_krb5 nfsv4 nfs 8021q garp stp mrp llc input_leds led_class amdgpu snd_hda_codec_realtek snd_hda_codec_generic i915 chash gpu_sched ttm iosf_mbi snd_hda_codec_hdmi drm_kms_helper snd_hda_intel intel_gtt snd_hda_codec drm x86_pkg_temp_thermal fb_sys_fops syscopyarea snd_hda_core kvm_intel snd_pcm kvm snd_timer snd sysfillrect irqbypass wmi_bmof soundcore crc32c_intel sysimgblt video wmi nfsd auth_rpcgss oid_registry nfs_acl lockd grace sunrpc efivarfs ip_tables x_tables unix ipv6 autofs4
[Mon Apr 29 10:16:34 2019] CPU: 3 PID: 466 Comm: Xorg Kdump: loaded Not tainted 5.1.0-rc6.mx64.258 #1
[Mon Apr 29 10:16:34 2019] Hardware name: Dell Inc. Precision 3630 Tower/0NNNCT, BIOS 1.0.4 07/17/2018
[Mon Apr 29 10:16:34 2019] RIP: 0010:update_mst_stream_alloc_table+0x144/0x150 [amdgpu]
[Mon Apr 29 10:16:34 2019] Code: 63 d0 48 83 c2 13 48 c1 e2 04 4d 8b 4c 10 08 4d 8b 54 10 10 4d 89 0c 24 4d 89 54 24 08 39 c1 75 81 e9 67 ff ff ff 31 c0 eb f3 <0f> 0b e9 14 ff ff ff e8 f0 15 88 e0 0f 1f 44 00 00 41 55 41 54 49
[Mon Apr 29 10:16:34 2019] RSP: 0018:ffffc9000252b6b0 EFLAGS: 00010202
[Mon Apr 29 10:16:34 2019] RAX: 0000000000000002 RBX: ffff88846410c5c0 RCX: 0000000000000000
[Mon Apr 29 10:16:34 2019] RDX: ffffc9000252b784 RSI: ffff88844d848a80 RDI: ffffc9000252b710
[Mon Apr 29 10:16:34 2019] RBP: ffffc9000252b750 R08: ffff888460a53c00 R09: ffff888384600000
[Mon Apr 29 10:16:34 2019] R10: ffffc9000252b768 R11: ffffc9000252b6b0 R12: ffff888460a53c00
[Mon Apr 29 10:16:34 2019] R13: ffff88846410c000 R14: 0000000000000002 R15: ffff888454a70000
[Mon Apr 29 10:16:34 2019] FS:  00007f906be66540(0000) GS:ffff88846c0c0000(0000) knlGS:0000000000000000
[Mon Apr 29 10:16:34 2019] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[Mon Apr 29 10:16:34 2019] CR2: 00000000006c7448 CR3: 000000044c81c006 CR4: 00000000003606e0
[Mon Apr 29 10:16:34 2019] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[Mon Apr 29 10:16:34 2019] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[Mon Apr 29 10:16:34 2019] Call Trace:
[Mon Apr 29 10:16:34 2019]  ? mutex_lock+0xe/0x30
[Mon Apr 29 10:16:34 2019]  ? core_link_enable_stream+0x47a/0x1090 [amdgpu]
[Mon Apr 29 10:16:34 2019]  core_link_enable_stream+0x47a/0x1090 [amdgpu]
[Mon Apr 29 10:16:34 2019]  dce110_apply_ctx_to_hw+0x3f1/0x480 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? dce110_apply_ctx_for_surface+0x250/0x2b0 [amdgpu]
[Mon Apr 29 10:16:34 2019]  dc_commit_state+0x2d6/0x560 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? drm_calc_timestamping_constants+0xe5/0x150 [drm]
[Mon Apr 29 10:16:34 2019]  amdgpu_dm_atomic_commit_tail+0x388/0x1960 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? bw_calcs+0x6f8/0x1cd0 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? dce112_validate_bandwidth+0x3e/0x70 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? dc_validate_global_state+0x2d4/0x360 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? amdgpu_bo_pin_restricted+0x68/0x290 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? _cond_resched+0x15/0x40
[Mon Apr 29 10:16:34 2019]  ? wait_for_common+0x3d/0x180
[Mon Apr 29 10:16:34 2019]  ? _cond_resched+0x15/0x40
[Mon Apr 29 10:16:34 2019]  ? wait_for_common+0x3d/0x180
[Mon Apr 29 10:16:34 2019]  ? dm_plane_helper_prepare_fb+0x117/0x370 [amdgpu]
[Mon Apr 29 10:16:34 2019]  ? commit_tail+0x3d/0x70 [drm_kms_helper]
[Mon Apr 29 10:16:34 2019]  commit_tail+0x3d/0x70 [drm_kms_helper]
[Mon Apr 29 10:16:34 2019]  drm_atomic_helper_commit+0xfc/0x110 [drm_kms_helper]
[Mon Apr 29 10:16:34 2019]  drm_atomic_helper_set_config+0x80/0x90 [drm_kms_helper]
[Mon Apr 29 10:16:34 2019]  drm_mode_setcrtc+0x170/0x6c0 [drm]
[Mon Apr 29 10:16:34 2019]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[Mon Apr 29 10:16:34 2019]  drm_ioctl_kernel+0x88/0xf0 [drm]
[Mon Apr 29 10:16:34 2019]  drm_ioctl+0x2f8/0x3b0 [drm]
[Mon Apr 29 10:16:34 2019]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[Mon Apr 29 10:16:34 2019]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[Mon Apr 29 10:16:34 2019]  do_vfs_ioctl+0xa4/0x630
[Mon Apr 29 10:16:34 2019]  ? __sys_recvmsg+0x8a/0xa0
[Mon Apr 29 10:16:34 2019]  ksys_ioctl+0x3a/0x70
[Mon Apr 29 10:16:34 2019]  __x64_sys_ioctl+0x16/0x20
[Mon Apr 29 10:16:34 2019]  do_syscall_64+0x48/0x100
[Mon Apr 29 10:16:34 2019]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[Mon Apr 29 10:16:34 2019] RIP: 0033:0x7f90699b4647
[Mon Apr 29 10:16:34 2019] Code: 00 00 00 48 8b 05 41 58 2c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 11 58 2c 00 f7 d8 64 89 01 48
[Mon Apr 29 10:16:34 2019] RSP: 002b:00007ffefc39edf8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[Mon Apr 29 10:16:34 2019] RAX: ffffffffffffffda RBX: 00007ffefc39ee30 RCX: 00007f90699b4647
[Mon Apr 29 10:16:34 2019] RDX: 00007ffefc39ee30 RSI: 00000000c06864a2 RDI: 000000000000000b
[Mon Apr 29 10:16:34 2019] RBP: 00007ffefc39ee30 R08: 0000000000000000 R09: 00000000016deaf0
[Mon Apr 29 10:16:34 2019] R10: 00007ffefc39eef0 R11: 0000000000000246 R12: 00000000c06864a2
[Mon Apr 29 10:16:34 2019] R13: 000000000000000b R14: 0000000000000000 R15: 00000000016deaf0
[Mon Apr 29 10:16:34 2019] ---[ end trace f73ac3cc2c839e40 ]---
[Mon Apr 29 10:17:17 2019] usb 1-10: new high-speed USB device number 10 using xhci_hcd
[Mon Apr 29 10:17:17 2019] usb-storage 1-10:1.0: USB Mass Storage device detected
[Mon Apr 29 10:17:17 2019] scsi host5: usb-storage 1-10:1.0
[Mon Apr 29 10:17:18 2019] scsi 5:0:0:0: Direct-Access     Linux    File-CD Gadget   0000 PQ: 0 ANSI: 2
[Mon Apr 29 10:17:18 2019] sd 5:0:0:0: Attached scsi generic sg2 type 0
[Mon Apr 29 10:17:18 2019] sd 5:0:0:0: Power-on or device reset occurred
[Mon Apr 29 10:17:18 2019] sd 5:0:0:0: [sdc] Attached SCSI removable disk
[Mon Apr 29 10:17:20 2019] usb 1-10: USB disconnect, device number 10
[Mon Apr 29 10:17:21 2019] usb 1-10: new high-speed USB device number 11 using xhci_hcd
[Mon Apr 29 10:17:21 2019] usb-storage 1-10:1.0: USB Mass Storage device detected
[Mon Apr 29 10:17:21 2019] scsi host5: usb-storage 1-10:1.0
[Mon Apr 29 10:17:22 2019] scsi 5:0:0:0: Direct-Access     Linux    File-CD Gadget   0000 PQ: 0 ANSI: 2
[Mon Apr 29 10:17:22 2019] sd 5:0:0:0: Attached scsi generic sg2 type 0
[Mon Apr 29 10:17:22 2019] sd 5:0:0:0: Power-on or device reset occurred
[Mon Apr 29 10:17:22 2019] sd 5:0:0:0: [sdc] Attached SCSI removable disk
[Mon Apr 29 10:18:07 2019] usb 1-10: USB disconnect, device number 11
[Mon Apr 29 10:18:07 2019] usb 1-10: new high-speed USB device number 12 using xhci_hcd
[Mon Apr 29 10:18:07 2019] usb-storage 1-10:1.0: USB Mass Storage device detected
[Mon Apr 29 10:18:07 2019] scsi host5: usb-storage 1-10:1.0
[Mon Apr 29 10:18:08 2019] scsi 5:0:0:0: Direct-Access     Linux    File-CD Gadget   0000 PQ: 0 ANSI: 2
[Mon Apr 29 10:18:08 2019] sd 5:0:0:0: Attached scsi generic sg2 type 0
[Mon Apr 29 10:18:08 2019] sd 5:0:0:0: Power-on or device reset occurred
[Mon Apr 29 10:18:08 2019] sd 5:0:0:0: [sdc] Attached SCSI removable disk
[Mon Apr 29 10:19:23 2019] [drm] DM_MST: stopping TM on aconnector: 00000000c53c37c4 [id: 59]
[Mon Apr 29 10:19:23 2019] [drm] DM_MST: Disabling connector: 00000000f322b7c6 [id: 83] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:23 2019] [drm] DM_MST: Disabling connector: 00000000d75129fc [id: 103] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:24 2019] [drm] DM_MST: starting TM on aconnector: 00000000c53c37c4 [id: 59]
[Mon Apr 29 10:19:25 2019] [drm] DM_MST: added connector: 0000000017233044 [id: 92] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:25 2019] [drm] SADs count is: -2, don't need to read it
[Mon Apr 29 10:19:25 2019] [drm] DM_MST: added connector: 00000000e263cd87 [id: 108] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:25 2019] [drm] SADs count is: -2, don't need to read it
[Mon Apr 29 10:19:25 2019] [drm] Failed to updateMST allocation table forpipe idx:0
[Mon Apr 29 10:19:25 2019] [drm] Failed to updateMST allocation table forpipe idx:0
[Mon Apr 29 10:19:39 2019] [drm] DM_MST: stopping TM on aconnector: 00000000c53c37c4 [id: 59]
[Mon Apr 29 10:19:39 2019] [drm] DM_MST: Disabling connector: 0000000017233044 [id: 92] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:39 2019] [drm] DM_MST: Disabling connector: 00000000e263cd87 [id: 108] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:43 2019] [drm] DM_MST: starting TM on aconnector: 00000000c53c37c4 [id: 59]
[Mon Apr 29 10:19:43 2019] [drm] DM_MST: added connector: 000000001c781c8d [id: 85] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:43 2019] [drm] amdgpu_dm_irq_schedule_work FAILED src 12
[Mon Apr 29 10:19:43 2019] [drm] SADs count is: -2, don't need to read it
[Mon Apr 29 10:19:43 2019] [drm] Failed to updateMST allocation table forpipe idx:0
[Mon Apr 29 10:19:44 2019] [drm] DM_MST: added connector: 00000000e78a9cad [id: 97] [master: 00000000c53c37c4]
[Mon Apr 29 10:19:44 2019] [drm] SADs count is: -2, don't need to read it
```
Comment 2 Paul Menzel 2019-05-09 12:52:08 UTC
This still happens with Linux 5.1. I had to give the system away, so won’t have access to it.

I had hoped for more help of the AMD developers to track down regressions.
Comment 3 Nicholas Kazlauskas 2019-05-09 13:00:00 UTC
We're able to reproduce the problem.

I believe that we found the issue was caused by the new common helper DRM for DP MST hotplug. A fix is in the works for this issue.
Comment 4 Paul Menzel 2019-05-09 13:03:49 UTC
(In reply to Nicholas Kazlauskas from comment #3)
> We're able to reproduce the problem.
> 
> I believe that we found the issue was caused by the new common helper DRM
> for DP MST hotplug. A fix is in the works for this issue.

Great news! Thank you for the update.

Is there another bug report this should be merged with?
Comment 5 Nicholas Kazlauskas 2019-05-09 13:13:09 UTC
(In reply to Paul Menzel from comment #4)
> (In reply to Nicholas Kazlauskas from comment #3)
> > We're able to reproduce the problem.
> > 
> > I believe that we found the issue was caused by the new common helper DRM
> > for DP MST hotplug. A fix is in the works for this issue.
> 
> Great news! Thank you for the update.
> 
> Is there another bug report this should be merged with?

Not that I'm aware of at least - I think this was the first user report for the issue.
Comment 6 John Francis 2019-06-11 19:38:57 UTC
I get this on kernel 5.1.8 when I use a KVM switch with DisplayPort daisy-chained MST monitors. It occurs when I switch back.

I can workaround by powering off the last monitor in the chain, and then powering it back on. 

Jun 11 15:29:05 u24b6-nzxt kernel: [97725.438966] [drm] Failed to updateMST allocation table forpipe idx:0
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687046] WARNING: CPU: 8 PID: 3551 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2361 update_mst_stream_alloc_table+0x143/0x150 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687047] Modules linked in: tcp_diag inet_diag ipt_MASQUERADE nf_conntrack_netlink nfnetlink xfrm_user xfrm_algo iptable_nat xt_addrtype iptable_filter bpfilter xt_conntrack nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 br_netfilter bridge stp llc overlay intel_rapl nls_iso8859_1 x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 crypto_simd cryptd glue_helper intel_cstate intel_rapl_perf snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi ledtrig_audio eeepc_wmi asus_wmi sparse_keymap video amdgpu wmi_bmof snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event chash mxm_wmi gpu_sched snd_rawmidi amd_iommu_v2 ttm drm_kms_helper cp210x usbserial snd_seq drm snd_seq_device i2c_algo_bit snd_timer fb_sys_fops syscopyarea sysfillrect sysimgblt snd mei_me soundcore mei joydev input_leds mac_hid sch_fq_codel parport_pc ppdev lp parport ip_tables
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687068]  x_tables autofs4 raid10 raid1 raid0 multipath linear raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx uas xor usb_storage raid6_pq libcrc32c hid_generic usbhid hid r8169 lpc_ich i2c_i801 e1000e realtek ahci libahci wmi
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687078] CPU: 8 PID: 3551 Comm: gnome-shell Kdump: loaded Tainted: G        W         5.1.8-050108-generic #201906090832
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687078] Hardware name: System manufacturer System Product Name/X79-DELUXE, BIOS 4805 02/02/2016
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687121] RIP: 0010:update_mst_stream_alloc_table+0x143/0x150 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687122] Code: 00 48 83 c0 10 48 83 f8 60 75 dd 48 8b 44 24 68 65 48 33 04 25 28 00 00 00 75 16 48 8d 65 d8 5b 41 5c 41 5d 41 5e 41 5f 5d c3 <0f> 0b e9 09 ff ff ff e8 01 10 12 d1 90 0f 1f 44 00 00 55 48 89 e5
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687123] RSP: 0018:ffff9efc03faf650 EFLAGS: 00010202
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687124] RAX: 0000000000000002 RBX: ffff9120f30085c0 RCX: 0000000000000000
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687124] RDX: ffff9efc03faf73c RSI: ffff912613584400 RDI: ffff9efc03faf6b0
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687125] RBP: ffff9efc03faf6e8 R08: ffff9126145f0200 R09: ffff91245c560800
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687125] R10: 0000000000000001 R11: ffff9efc03faf650 R12: ffff912614459000
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687126] R13: ffff9126145f0200 R14: ffff9126145f0200 R15: 0000000000000002
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687127] FS:  00007ff189d41cc0(0000) GS:ffff91261ea00000(0000) knlGS:0000000000000000
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687127] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687128] CR2: 00007fdda4457000 CR3: 00000006d63d2006 CR4: 00000000001606e0
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687128] Call Trace:
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687172]  core_link_enable_stream+0x4c0/0x10d0 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687216]  ? dig_connect_to_otg+0x75/0xe0 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687258]  dce110_apply_ctx_to_hw+0x441/0x4b0 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687298]  dc_commit_state+0x2cf/0x5a0 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687312]  ? drm_calc_timestamping_constants+0x106/0x150 [drm]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687355]  amdgpu_dm_atomic_commit_tail+0x1c8/0xa40 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687358]  ? ttm_bo_handle_move_mem+0x10f/0x500 [ttm]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687361]  ? ttm_bo_validate+0x11b/0x130 [ttm]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687404]  ? bw_calcs+0x106f/0x1e50 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687435]  ? amdgpu_bo_pin_restricted+0x61/0x270 [amdgpu]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687438]  ? _cond_resched+0x19/0x30
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687439]  ? wait_for_completion_timeout+0x38/0x140
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687441]  ? _cond_resched+0x19/0x30
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687442]  ? wait_for_completion_interruptible+0x35/0x1a0
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687450]  commit_tail+0x42/0x70 [drm_kms_helper]
Jun 11 15:29:05 u24b6-nzxt kernel: [97725.687454]  ? commit_tail+0x42/0x70 [drm_kms_helper]
Comment 7 Nicholas Kazlauskas 2019-06-11 19:56:41 UTC
I think this is fixed 5.2 and the latest amd-staging-drm-next.
Comment 8 Paul Menzel 2019-06-12 15:42:19 UTC
Why can’t it be said for certain, if the issue is fixed? The commit message should reference this report, but `git log --grep 110381` does not show anything.
Comment 9 John Francis 2019-07-29 16:16:10 UTC
I am still seeing this error on kernel 5.2.2. I think it happens when I switch away the monitors to another host on the KVM switch.

Switching back later, I get only 1 display, problematic as some windows are on the non-working display. <alt><ctrl><f3> to console, both displays mirrored, with text mode login prompt. Then <alt><ctrl><f2> back to graphical display, gnome crashes, I get the gnome login screen. Things had improved a bit until amd's latest updates in 5.2.x.

Jul 29 09:05:33 u24b6-nzxt kernel: [255451.664351] [drm] DM_MST: added connector: 00000000629ccdae [id: 113] [master: 0000000088dc6666]
Jul 29 09:05:33 u24b6-nzxt kernel: [255451.664379] [drm] DM_MST: added connector: 00000000a50ff579 [id: 118] [master: 0000000088dc6666]
Jul 29 09:05:33 u24b6-nzxt kernel: [255451.723246] [drm] Failed to updateMST allocation table forpipe idx:0
Jul 29 09:05:34 u24b6-nzxt kernel: [255451.960729] [drm] Failed to updateMST allocation table forpipe idx:0
Jul 29 09:05:34 u24b6-nzxt gnome-shell[9289]: Add Monitors ...
Jul 29 09:05:34 u24b6-nzxt gnome-shell[9289]: new: i1x1920y0w1920h1080
Jul 29 09:05:34 u24b6-nzxt gnome-shell[9289]: pi:0
Jul 29 09:05:34 u24b6-nzxt gnome-shell[9289]: i:0 x:0 y:0 w:1920 h:1080
Jul 29 09:05:34 u24b6-nzxt gnome-shell[9289]: i:1 x:1920 y:0 w:1920 h:1080
Jul 29 09:05:34 u24b6-nzxt gnome-shell[9289]: g_value_set_object: assertion 'G_IS_OBJECT (v_object)' failed
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020762] WARNING: CPU: 0 PID: 9289 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2404 update_mst_stream_alloc_table+0x11e/0x130 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020763] Modules linked in: tcp_diag inet_diag xt_MASQUERADE nf_conntrack_netlink nfnetlink xfrm_user xfrm_algo iptable_nat xt_addrtype iptable_filter bpfilter xt_conntrack nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 br_netfilter bridge stp llc overlay nls_iso8859_1 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 crypto_simd cryptd glue_helper intel_cstate intel_rapl_perf snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core amdgpu snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event eeepc_wmi asus_wmi sparse_keymap snd_rawmidi video snd_seq amd_iommu_v2 gpu_sched ttm wmi_bmof drm_kms_helper cp210x snd_seq_device mxm_wmi usbserial joydev input_leds snd_timer drm i2c_algo_bit snd fb_sys_fops syscopyarea sysfillrect mei_me sysimgblt soundcore mei mac_hid sch_fq_codel parport_pc ppdev lp parport ip_tables x_tables
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020783]  autofs4 raid10 raid1 raid0 multipath linear raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor uas usb_storage raid6_pq libcrc32c hid_generic usbhid hid r8169 lpc_ich i2c_i801 e1000e realtek ahci libahci wmi
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020793] CPU: 0 PID: 9289 Comm: gnome-shell Kdump: loaded Tainted: G        W         5.2.2-050202-generic #201907231250
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020794] Hardware name: System manufacturer System Product Name/X79-DELUXE, BIOS 4805 02/02/2016
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020838] RIP: 0010:update_mst_stream_alloc_table+0x11e/0x130 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020839] Code: 28 00 00 00 75 2b 48 8d 65 e0 5b 41 5c 41 5d 41 5e 5d c3 0f b6 06 49 89 1c 24 41 88 44 24 08 0f b6 46 01 41 88 44 24 09 eb 93 <0f> 0b e9 2f ff ff ff e8 96 81 d9 e5 66 0f 1f 44 00 00 0f 1f 44 00
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020840] RSP: 0018:ffff9a27c3f2f650 EFLAGS: 00010202
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020840] RAX: 0000000000000002 RBX: ffff8ea3507e4380 RCX: 0000000000000000
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020841] RDX: ffff9a27c3f2f714 RSI: ffff8ea3507e4380 RDI: ffff9a27c3f2f6b0
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020842] RBP: ffff9a27c3f2f6e8 R08: ffffffffc0469df5 R09: 0000000000000000
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020842] R10: ffff8ea353eb8a00 R11: ffff9a27c3f2f650 R12: ffff8ea353eb8a00
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020842] R13: ffff8ea352f3d400 R14: 0000000000000002 R15: ffff8ea353eb8a00
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020843] FS:  00007f530ace1cc0(0000) GS:ffff8ea35f800000(0000) knlGS:0000000000000000
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020844] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020845] CR2: 000015124f029000 CR3: 00000001b8150005 CR4: 00000000001606f0
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020845] Call Trace:
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020890]  core_link_enable_stream+0x5ee/0xa10 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020933]  dce110_apply_ctx_to_hw+0x441/0x4c0 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.020976]  dc_commit_state_no_check+0x228/0x580 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021018]  dc_commit_state+0x96/0xb0 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021061]  amdgpu_dm_atomic_commit_tail+0x3b5/0xdb0 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021065]  ? ttm_bo_handle_move_mem+0x10f/0x500 [ttm]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021067]  ? ttm_bo_validate+0x128/0x140 [ttm]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021111]  ? print_bw_calcs_data.isra.0+0x18ae/0x2470 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021140]  ? amdgpu_bo_pin_restricted+0x266/0x2a0 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021144]  ? _cond_resched+0x19/0x30
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021145]  ? wait_for_completion_timeout+0x3a/0x120
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021146]  ? _cond_resched+0x19/0x30
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021148]  ? wait_for_completion_interruptible+0x37/0x160
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021156]  commit_tail+0x41/0x70 [drm_kms_helper]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021160]  ? commit_tail+0x41/0x70 [drm_kms_helper]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021164]  drm_atomic_helper_commit+0x118/0x120 [drm_kms_helper]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021207]  amdgpu_dm_atomic_commit+0xb1/0xf0 [amdgpu]
Jul 29 09:05:35 u24b6-nzxt kernel: [255453.021221]  drm_atomic_commit+0x4a/0x50 [drm]
Comment 10 jamespharvey20 2019-08-28 01:21:29 UTC
Also occurred on 5.2.1.

05:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Vega 10 XL/XT [Radeon RX Vega 56/64] [1002:687f] (rev c1) (prog-if 00 [VGA controller])
        Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] RX Vega64 [1002:0b36]

Jul 29 07:23:38 servo kernel: WARNING: CPU: 1 PID: 1547 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2404 update_mst_stream_alloc_table+0x124/0x130 [amdgpu]
Jul 29 07:23:38 servo kernel: Modules linked in: tcp_diag inet_diag dm_snapshot fuse isofs loop xfs jfs nls_utf8 udf crc_itu_t uas usb_storage vhost_net vhost tap tun ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache ib_isert iscsi_target_mod ib_srpt target_core_mod ib_srp scsi_transport_srp rpcrdma sunrpc rdma_ucm ib_iser rdma_cm ib_umad iw_cm ib_ipoib libiscsi scsi_transport_iscsi ib_cm mlx4_ib ib_uverbs ib_core mlx4_en msr nct6775 hwmon_vid nls_iso8859_1 nls_cp437 vfat fat ipmi_ssif intel_rapl sb_edac x86_pkg_temp_thermal intel_powerclamp
coretemp bridge stp kvm_intel llc kvm irqbypass snd_hda_codec_realtek intel_cstate snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support snd_hda_intel mousedev snd_hda_codec joydev input_leds snd_hda_core intel_uncore snd_hwdep intel_rapl_perf snd_pcm mlx4_core pcspkr snd_timer snd ipmi_si e1000e i2c_i801 mei_me ioatdma ipmi_devintf mei lpc_ich soundcore
Jul 29 07:23:38 servo kernel:  dca wmi ipmi_msghandler pcc_cpufreq evdev mac_hid vmmon(OE) vmw_vmci vboxnetflt(OE) vboxnetadp(OE) vboxpci(OE) vboxdrv(OE) sg crypto_user ip_tables x_tables btrfs xor raid6_pq algif_skcipher af_alg dm_thin_pool dm_persistent_data dm_bio_prison dm_bufio libcrc32c crc32c_generic hid_generic usbhid hid sr_mod cdrom sd_mod dm_crypt dm_mod crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel isci aesni_intel libsas ahci scsi_transport_sas libahci aes_x86_64 crypto_simd libata cryptd glue_helper scsi_mod ehci_pci ehci_hcd amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm agpgart
Jul 29 07:23:38 servo kernel: CPU: 1 PID: 1547 Comm: Xorg Tainted: G           OE     5.2.1-arch1-1-ARCH #1
Jul 29 07:23:38 servo kernel: Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./EP2C602, BIOS P1.90 04/12/2018
Jul 29 07:23:38 servo kernel: RIP: 0010:update_mst_stream_alloc_table+0x124/0x130 [amdgpu]
Jul 29 07:23:38 servo kernel: Code: 33 04 25 28 00 00 00 75 28 48 8d 65 e0 5b 41 5c 41 5d 41 5e 5d c3 41 0f b6 03 4c 89 26 88 46 08 41 0f b6 43 01 88 46 09 eb 96 <0f> 0b e9 33 ff ff ff e8 60 f0 eb fb 66 66 66 66 90 55 48 89 e5 41
Jul 29 07:23:38 servo kernel: RSP: 0018:ffffac5f880df620 EFLAGS: 00010202
Jul 29 07:23:38 servo kernel: RAX: 0000000000000002 RBX: ffff8f1b96868800 RCX: 0000000000000000
Jul 29 07:23:38 servo kernel: RDX: ffffac5f880df608 RSI: ffff8f1b961af100 RDI: ffffac5f880df680
Jul 29 07:23:38 servo kernel: RBP: ffffac5f880df6b8 R08: ffffffffc01a0db5 R09: 0000000000000000
Jul 29 07:23:38 servo kernel: R10: ffffac5f880df620 R11: 0000000000000001 R12: ffff8f1b961af100
Jul 29 07:23:38 servo kernel: R13: ffffac5f880df70c R14: 0000000000000002 R15: 0000000000000004
Jul 29 07:23:38 servo kernel: FS:  00007fc20580bdc0(0000) GS:ffff8f1b9f840000(0000) knlGS:0000000000000000
Jul 29 07:23:38 servo kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 29 07:23:38 servo kernel: CR2: 000055ff36f2fc7e CR3: 00000008540e0005 CR4: 00000000000606e0
Jul 29 07:23:38 servo kernel: Call Trace:
Jul 29 07:23:38 servo kernel:  core_link_enable_stream+0x5e0/0x1130 [amdgpu]
Jul 29 07:23:38 servo kernel:  ? set_pixel_encoding.isra.0+0x68/0x150 [amdgpu]
Jul 29 07:23:38 servo kernel:  dce110_apply_ctx_to_hw+0x446/0x4b0 [amdgpu]
Jul 29 07:23:38 servo kernel:  dc_commit_state+0x272/0x5a0 [amdgpu]
Jul 29 07:23:38 servo kernel:  amdgpu_dm_atomic_commit_tail+0xc64/0x1a20 [amdgpu]
Jul 29 07:23:38 servo kernel:  ? free_one_page+0xac/0x480
Jul 29 07:23:38 servo kernel:  ? bw_calcs+0x930/0x3900 [amdgpu]
Jul 29 07:23:38 servo kernel:  ? commit_tail+0x3c/0x70 [drm_kms_helper]
Jul 29 07:23:38 servo kernel:  ? __bpf_trace_amdgpu_dc_wreg+0x30/0x30 [amdgpu]
Jul 29 07:23:38 servo kernel:  commit_tail+0x3c/0x70 [drm_kms_helper]
Jul 29 07:23:38 servo kernel:  drm_atomic_helper_commit+0x10e/0x120 [drm_kms_helper]
Jul 29 07:23:38 servo kernel:  drm_atomic_helper_set_config+0x82/0x90 [drm_kms_helper]
Jul 29 07:23:38 servo kernel:  drm_mode_setcrtc+0x1fa/0x720 [drm]
Jul 29 07:23:38 servo kernel:  ? drm_mode_getcrtc+0x190/0x190 [drm]
Jul 29 07:23:38 servo kernel:  drm_ioctl_kernel+0xbf/0x100 [drm]
Jul 29 07:23:38 servo kernel:  drm_ioctl+0x244/0x3d0 [drm]
Jul 29 07:23:38 servo kernel:  ? drm_mode_getcrtc+0x190/0x190 [drm]
Jul 29 07:23:38 servo kernel:  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
Jul 29 07:23:38 servo kernel:  do_vfs_ioctl+0x447/0x6d0
Jul 29 07:23:38 servo kernel:  ? __fget+0x71/0xa0
Jul 29 07:23:38 servo kernel:  ksys_ioctl+0x60/0x90
Jul 29 07:23:38 servo kernel:  __x64_sys_ioctl+0x1a/0x20
Jul 29 07:23:38 servo kernel:  do_syscall_64+0x5b/0x1b0
Jul 29 07:23:38 servo kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Jul 29 07:23:38 servo kernel: RIP: 0033:0x7fc206c3521b
Jul 29 07:23:38 servo kernel: Code: 0f 1e fa 48 8b 05 75 8c 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 45 8c 0c 00 f7 d8 64 89 01 48
Jul 29 07:23:38 servo kernel: RSP: 002b:00007fff9d9265c8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Jul 29 07:23:38 servo kernel: RAX: ffffffffffffffda RBX: 00007fff9d926600 RCX: 00007fc206c3521b
Jul 29 07:23:38 servo kernel: RDX: 00007fff9d926600 RSI: 00000000c06864a2 RDI: 000000000000000a
Jul 29 07:23:38 servo kernel: RBP: 00000000c06864a2 R08: 0000000000000000 R09: 000055ff371433a0
Jul 29 07:23:38 servo kernel: R10: 0000000000000000 R11: 0000000000000246 R12: 000055ff36724290
Jul 29 07:23:38 servo kernel: R13: 000000000000000a R14: 0000000000000000 R15: 000055ff371433a0
Jul 29 07:23:38 servo kernel: ---[ end trace 3bc8de046fc13a5e ]---
Comment 11 carbenium 2019-11-01 21:03:36 UTC
Seems to happen as well on 5.3.7 when waking two daisy-chained monitors from sleep.

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 470/480/570/570X/580/580X/590] (rev ef)


[ 4511.360909] WARNING: CPU: 5 PID: 1848 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2462 update_mst_stream_alloc_table.cold+0x15/0x28 [amdgpu]
[ 4511.360910] Modules linked in: uinput xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter sunrpc intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass ipmi_ssif snd_hda_codec_hdmi snd_hda_intel crct10dif_pclmul iTCO_wdt crc32_pclmul iTCO_vendor_support snd_hda_codec ghash_clmulni_intel intel_cstate snd_hda_core snd_hwdep snd_seq intel_uncore snd_seq_device intel_rapl_perf i2c_i801 intel_pch_thermal snd_pcm mei_me joydev lpc_ich snd_timer mei snd soundcore ipmi_si ipmi_devintf ipmi_msghandler ie31200_edac
[ 4511.360925]  acpi_pad binfmt_misc ip_tables hid_logitech_hidpp hid_corsair hid_logitech_dj uas usb_storage amdgpu amd_iommu_v2 gpu_sched ttm drm_kms_helper drm igb crc32c_intel dca i2c_algo_bit video fuse
[ 4511.360931] CPU: 5 PID: 1848 Comm: gnome-shell Tainted: G        W         5.3.7-301.fc31.x86_64 #1
[ 4511.360932] Hardware name: Supermicro PIO-518D-TLN4F-ST031/X10SLM+-LN4F, BIOS 3.2a 05/31/2019
[ 4511.360976] RIP: 0010:update_mst_stream_alloc_table.cold+0x15/0x28 [amdgpu]
[ 4511.360977] Code: fd ff 48 c7 c7 70 fc a2 c0 e8 63 d9 7d f3 0f 0b e9 0b 06 fd ff 48 c7 c7 b8 fd a2 c0 48 89 14 24 48 89 74 24 08 e8 47 d9 7d f3 <0f> 0b 48 8b 14 24 48 8b 74 24 08 44 8b 32 e9 a6 06 fd ff 48 c7 c7
[ 4511.360978] RSP: 0018:ffffb88400b5f630 EFLAGS: 00010246
[ 4511.360978] RAX: 0000000000000024 RBX: ffffa04003a72000 RCX: 0000000000000000
[ 4511.360979] RDX: 0000000000000000 RSI: ffffa0400fb57908 RDI: ffffa0400fb57908
[ 4511.360979] RBP: ffffb88400b5f6d0 R08: ffffa0400fb57908 R09: 00000000000004b1
[ 4511.360980] R10: 000000000001a4b8 R11: 0000000000000003 R12: ffffb88400b5f640
[ 4511.360980] R13: ffffa0400a675800 R14: 0000000000000002 R15: ffffa04003a72000
[ 4511.360981] FS:  00007f8e2aa65d00(0000) GS:ffffa0400fb40000(0000) knlGS:0000000000000000
[ 4511.360981] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 4511.360982] CR2: 00007fb99e333c88 CR3: 000000040bf04005 CR4: 00000000001606e0
[ 4511.360982] Call Trace:
[ 4511.361026]  core_link_enable_stream+0x665/0x870 [amdgpu]
[ 4511.361068]  ? dce110_apply_ctx_to_hw+0x4b0/0x530 [amdgpu]
[ 4511.361108]  dce110_apply_ctx_to_hw+0x4b0/0x530 [amdgpu]
[ 4511.361149]  dc_commit_state+0x280/0x5c0 [amdgpu]
[ 4511.361190]  amdgpu_dm_atomic_commit_tail+0xcfc/0x1c40 [amdgpu]
[ 4511.361216]  ? amdgpu_move_blit.constprop.0+0x9c/0x110 [amdgpu]
[ 4511.361242]  ? amdgpu_bo_move+0x142/0x280 [amdgpu]
[ 4511.361244]  ? ttm_bo_handle_move_mem+0x10b/0x4f0 [ttm]
[ 4511.361247]  ? ttm_bo_validate+0x11b/0x130 [ttm]
[ 4511.361272]  ? amdgpu_bo_pin_restricted+0x62/0x270 [amdgpu]
[ 4511.361274]  ? ttm_eu_backoff_reservation+0x44/0x80 [ttm]
[ 4511.361315]  ? dm_plane_helper_prepare_fb+0x16a/0x2a0 [amdgpu]
[ 4511.361318]  ? _cond_resched+0x15/0x30
[ 4511.361319]  ? wait_for_completion_timeout+0x38/0x170
[ 4511.361326]  ? commit_tail+0x3c/0x70 [drm_kms_helper]
[ 4511.361367]  ? amdgpu_dm_audio_eld_notify+0x60/0x60 [amdgpu]
[ 4511.361371]  commit_tail+0x3c/0x70 [drm_kms_helper]
[ 4511.361375]  drm_atomic_helper_commit+0x108/0x110 [drm_kms_helper]
[ 4511.361379]  drm_atomic_helper_set_config+0x81/0x90 [drm_kms_helper]
[ 4511.361390]  drm_mode_setcrtc+0x194/0x6a0 [drm]
[ 4511.361397]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[ 4511.361402]  drm_ioctl_kernel+0xaa/0xf0 [drm]
[ 4511.361408]  drm_ioctl+0x208/0x390 [drm]
[ 4511.361414]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[ 4511.361437]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[ 4511.361440]  do_vfs_ioctl+0x405/0x660
[ 4511.361441]  ksys_ioctl+0x5e/0x90
[ 4511.361442]  __x64_sys_ioctl+0x16/0x20
[ 4511.361444]  do_syscall_64+0x5f/0x1a0
[ 4511.361446]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[ 4511.361447] RIP: 0033:0x7f8e2e72a2fb
[ 4511.361448] Code: 0f 1e fa 48 8b 05 8d 9b 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d 9b 0c 00 f7 d8 64 89 01 48
[ 4511.361449] RSP: 002b:00007ffed440abf8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 4511.361450] RAX: ffffffffffffffda RBX: 00007ffed440ac30 RCX: 00007f8e2e72a2fb
[ 4511.361450] RDX: 00007ffed440ac30 RSI: 00000000c06864a2 RDI: 0000000000000009
[ 4511.361450] RBP: 00000000c06864a2 R08: 0000000000000000 R09: 0000562b0979c8a0
[ 4511.361451] R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000000
[ 4511.361451] R13: 0000000000000009 R14: 0000562b0979c8a0 R15: 0000562b0cf98280
[ 4511.361452] ---[ end trace 61c74c75b25fddce ]---
Comment 12 carbenium 2019-11-09 13:14:46 UTC
Still happening on 5.3.8-300.fc31.x86_64

[ 5800.613189] WARNING: CPU: 7 PID: 1924 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2462 update_mst_stream_alloc_table.cold+0x15/0x28 [amdgpu]
[ 5800.613190] Modules linked in: uinput xt_CHECKSUM xt_MASQUERADE xt_conntrack ipt_REJECT nf_reject_ipv4 ip6table_mangle ip6table_nat iptable_mangle iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter tun bridge stp llc sunrpc intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_codec_hdmi irqbypass snd_hda_intel ipmi_ssif snd_hda_codec crct10dif_pclmul crc32_pclmul iTCO_wdt snd_hda_core iTCO_vendor_support snd_hwdep ghash_clmulni_intel intel_cstate snd_seq intel_uncore intel_rapl_perf snd_seq_device snd_pcm joydev snd_timer intel_pch_thermal snd mei_me mei soundcore lpc_ich i2c_i801 ie31200_edac ipmi_si ipmi_devintf ipmi_msghandler acpi_pad binfmt_misc ip_tables hid_logitech_hidpp hid_corsair hid_logitech_dj uas usb_storage amdgpu amd_iommu_v2 gpu_sched ttm drm_kms_helper drm igb crc32c_intel dca i2c_algo_bit video fuse
[ 5800.613216] CPU: 7 PID: 1924 Comm: gnome-shell Tainted: G        W         5.3.8-300.fc31.x86_64 #1
[ 5800.613217] Hardware name: Supermicro PIO-518D-TLN4F-ST031/X10SLM+-LN4F, BIOS 3.2a 05/31/2019
[ 5800.613299] RIP: 0010:update_mst_stream_alloc_table.cold+0x15/0x28 [amdgpu]
[ 5800.613301] Code: fd ff 48 c7 c7 70 fc 6b c0 e8 37 d7 b4 f2 0f 0b e9 9f 06 fd ff 48 c7 c7 b8 fd 6b c0 48 89 14 24 48 89 74 24 08 e8 1b d7 b4 f2 <0f> 0b 48 8b 14 24 48 8b 74 24 08 44 8b 32 e9 3a 07 fd ff 48 c7 c7
[ 5800.613302] RSP: 0018:ffffb83e8272b630 EFLAGS: 00010246
[ 5800.613303] RAX: 0000000000000024 RBX: ffff997ec409c800 RCX: 0000000000000000
[ 5800.613304] RDX: 0000000000000000 RSI: ffff997ecfbd7908 RDI: ffff997ecfbd7908
[ 5800.613305] RBP: ffffb83e8272b6d0 R08: ffff997ecfbd7908 R09: 00000000000004be
[ 5800.613306] R10: 000000000001ab18 R11: 0000000000000003 R12: ffffb83e8272b640
[ 5800.613306] R13: ffff997ecac53800 R14: 0000000000000002 R15: ffff997ec409c800
[ 5800.613308] FS:  00007fe6cea30d00(0000) GS:ffff997ecfbc0000(0000) knlGS:0000000000000000
[ 5800.613309] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 5800.613309] CR2: 00007f00643fa428 CR3: 000000037f0ce004 CR4: 00000000001606e0
[ 5800.613310] Call Trace:
[ 5800.613391]  core_link_enable_stream+0x665/0x870 [amdgpu]
[ 5800.613469]  ? dce110_apply_ctx_to_hw+0x4b0/0x530 [amdgpu]
[ 5800.613545]  dce110_apply_ctx_to_hw+0x4b0/0x530 [amdgpu]
[ 5800.613623]  dc_commit_state+0x280/0x5c0 [amdgpu]
[ 5800.613701]  amdgpu_dm_atomic_commit_tail+0xcfc/0x1c40 [amdgpu]
[ 5800.613752]  ? amdgpu_move_blit.constprop.0+0x9c/0x110 [amdgpu]
[ 5800.613801]  ? amdgpu_bo_move+0x142/0x280 [amdgpu]
[ 5800.613807]  ? ttm_bo_handle_move_mem+0x10b/0x4f0 [ttm]
[ 5800.613811]  ? ttm_bo_validate+0x11b/0x130 [ttm]
[ 5800.613861]  ? amdgpu_bo_pin_restricted+0x62/0x270 [amdgpu]
[ 5800.613865]  ? ttm_eu_backoff_reservation+0x44/0x80 [ttm]
[ 5800.613943]  ? dm_plane_helper_prepare_fb+0x16a/0x2a0 [amdgpu]
[ 5800.613946]  ? _cond_resched+0x15/0x30
[ 5800.613948]  ? wait_for_completion_timeout+0x38/0x170
[ 5800.613961]  ? commit_tail+0x3c/0x70 [drm_kms_helper]
[ 5800.614038]  ? amdgpu_dm_audio_eld_notify+0x60/0x60 [amdgpu]
[ 5800.614046]  commit_tail+0x3c/0x70 [drm_kms_helper]
[ 5800.614053]  drm_atomic_helper_commit+0x108/0x110 [drm_kms_helper]
[ 5800.614060]  drm_atomic_helper_set_config+0x81/0x90 [drm_kms_helper]
[ 5800.614081]  drm_mode_setcrtc+0x194/0x6a0 [drm]
[ 5800.614094]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[ 5800.614103]  drm_ioctl_kernel+0xaa/0xf0 [drm]
[ 5800.614113]  drm_ioctl+0x208/0x390 [drm]
[ 5800.614124]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[ 5800.614170]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[ 5800.614173]  do_vfs_ioctl+0x405/0x660
[ 5800.614175]  ksys_ioctl+0x5e/0x90
[ 5800.614177]  __x64_sys_ioctl+0x16/0x20
[ 5800.614181]  do_syscall_64+0x5f/0x1a0
[ 5800.614184]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[ 5800.614186] RIP: 0033:0x7fe6d26ff2fb
[ 5800.614188] Code: 0f 1e fa 48 8b 05 8d 9b 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d 9b 0c 00 f7 d8 64 89 01 48
[ 5800.614189] RSP: 002b:00007ffca21673a8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 5800.614190] RAX: ffffffffffffffda RBX: 00007ffca21673e0 RCX: 00007fe6d26ff2fb
[ 5800.614191] RDX: 00007ffca21673e0 RSI: 00000000c06864a2 RDI: 0000000000000009
[ 5800.614192] RBP: 00000000c06864a2 R08: 0000000000000000 R09: 000055edeef02df0
[ 5800.614193] R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000000
[ 5800.614193] R13: 0000000000000009 R14: 000055edeef02df0 R15: 000055edee809a80
[ 5800.614195] ---[ end trace b48771c5bafc50fa ]---


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.